VERSION 5.00
Begin VB.UserControl cFile 
   ClientHeight    =   1110
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1095
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   1110
   ScaleWidth      =   1095
   ToolboxBitmap   =   "cFile.ctx":0000
End
Attribute VB_Name = "cFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
''+-------------------------------------+
''| ICI style I/O PO file access module |
''+-------------------------------------+
''|     Made by Jure Sah of MesonAI     |
''|   TimeDateStamp:  18:11 30.6.2002   |
''+-------------------------------------+

Public fPleaseLogs As Boolean, fInnitializing As Boolean
Attribute fPleaseLogs.VB_VarDescription = "Indicates debug info logs will be written"
Attribute fInnitializing.VB_VarDescription = "Indicates the control is innitializing"
Public fTemporaryPath As String, fErrorWarning As Boolean
Attribute fTemporaryPath.VB_VarDescription = "Contains the temporary path required by the control"
Attribute fErrorWarning.VB_VarDescription = "Indicates an error has occured"

Public Type mySourceAndMSG
 xSource As String
 xMSG As String
End Type

Public fTmpSplitSourceSource As String
Attribute fTmpSplitSourceSource.VB_VarDescription = "Is the cache containing the output of the ""SplitSource"" function (source part)"
Public fTmpSplitSourceMSG As String
Attribute fTmpSplitSourceMSG.VB_VarDescription = "Is the cache containing the output of the ""SplitSource"" function (MSG  part)"
Public fTmpMergeSource As String
Attribute fTmpMergeSource.VB_VarDescription = "Is the cache containing the output of the ""MergeSource"" function"
Public fTmpFixName As String, fOrigFixName As String
Attribute fTmpFixName.VB_VarDescription = "Is the cache containing the output of the ""FixName"" function"
Attribute fOrigFixName.VB_VarDescription = "Contains the original filename passed to the ""FixName"" function"

Public Sub xGetOCXConfigs()
Attribute xGetOCXConfigs.VB_Description = "Retrieves the variable values from OCX"
fPleaseLogs = File.fPleaseLogs
fInnitializing = File.fInnitializing
fTemporaryPath = File.fTemporaryPath
fErrorWarning = File.fErrorWarning
fTmpSplitSourceSource = File.fTmpSplitSource.xSource
fTmpSplitSourceMSG = File.fTmpSplitSource.xMSG
fTmpMergeSource = File.fTmpMergeSource
fTmpFixName = File.fTmpFixName
fOrigFixName = File.fOrigFixName
End Sub

Public Sub xSetOCXConfigs()
Attribute xSetOCXConfigs.VB_Description = "Stores variable values to OCX"
File.fPleaseLogs = fPleaseLogs
File.fTemporaryPath = fTemporaryPath
File.fErrorWarning = fErrorWarning
File.fTmpSplitSource.xSource = fTmpSplitSourceSource
File.fTmpSplitSource.xMSG = fTmpSplitSourceMSG
File.fTmpMergeSource = fTmpMergeSource
File.fTmpFixName = fTmpFixName
File.fOrigFixName = fOrigFixName
End Sub

Public Sub fFindTemporaryPath()
Attribute fFindTemporaryPath.VB_Description = "Locates the temporary path needed by the control"
File.fFindTemporaryPath
End Sub

Public Sub xDeleteEntry(xFile As String)
Attribute xDeleteEntry.VB_Description = "Deletes the top entry from the target Post Office File"
File.xDeleteEntry xFile
End Sub

Public Function xReadEntry(xFile As String) As String
Attribute xReadEntry.VB_Description = "Reads the top entry from the target Post Office File, while leaving it intact"
xReadEntry = File.xReadEntry(xFile)
End Function

Public Sub xWriteEntry(xFile As String, xEntryText As String)
Attribute xWriteEntry.VB_Description = "Appends an entry to the target Post Office File"
File.xWriteEntry xFile, xEntryText
End Sub

Public Function xTrim(xS As String) As String
Attribute xTrim.VB_Description = "Removes trailing and heading spaces and linebreaks"
xTrim = File.xTrim(xS)
End Function

Public Function xSplitSource(xText As String) As ICI_Standard.mySourceAndMSG
Dim fTmpSplitSource As ICI_Standard.mySourceAndMSG
fTmpSplitSource.xMSG = File.xSplitSource(xText).xMSG
fTmpSplitSource.xSource = File.xSplitSource(xText).xSource
xSplitSource = fTmpSplitSource
End Function

Public Function xSplitMSG(xText As String) As String
fTmpSplitSource.xMSG = File.xSplitSource(xText).xMSG
fTmpSplitSource.xSource = File.xSplitSource(xText).xSource
xSplitMSG = fTmpSplitSource.xMSG
End Function

Public Function xMergeSource(xSource As String, xText As String) As String
Attribute xMergeSource.VB_Description = "Merges the source and message into a command"
xMergeSource = File.xMergeSource(xSource, xText)
End Function

Public Sub xLog(xFile As String, xEntryText As String)
Attribute xLog.VB_Description = "Writes a line of text to a log file"
File.xLog xFile, xEntryText
End Sub

Public Sub xTXTAppend(xFile As String, xText As String)
Attribute xTXTAppend.VB_Description = "Appends text to a file"
File.xTXTAppend xFile, xText
End Sub

Public Sub fEnableLogging(xBackups As Boolean)
Attribute fEnableLogging.VB_Description = "Enables the debug info logging"
File.fEnableLogging xBackups
End Sub

Private Sub UserControl_Initialize()
File.fFindTemporaryPath
xGetOCXConfigs
End Sub
