VERSION 5.00
Begin VB.UserControl cIO 
   ClientHeight    =   1125
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1185
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   1125
   ScaleWidth      =   1185
   ToolboxBitmap   =   "cIO.ctx":0000
End
Attribute VB_Name = "cIO"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
''+-------------------------------------+
''|    ICI Console interface module     |
''+-------------------------------------+
''|     Made by Jure Sah of MesonAI     |
''|    TimeDateStamp: 13:53 4.7.2003    |
''+-------------------------------------+

Public ioSource As String, ioPleaseLogs As Boolean, ioCopyProtectionWarning As Boolean
Attribute ioSource.VB_VarDescription = "Contains the source of the last ICI command recieved"
Attribute ioPleaseLogs.VB_VarDescription = "Indicates that debug info logs will be written"
Attribute ioCopyProtectionWarning.VB_VarDescription = "Indicates the program has been illegaly duplicated"
Public ioRecieveFor As String
Attribute ioRecieveFor.VB_VarDescription = "Recieves an ICI command to be sent to another computer"

Enum myAppType
 Worker = 0
 Transmitter = 1
End Enum

Enum myCommand
 wpProvide_IP = 1
 xSynchronize = 2
 xSend_ID = 3
 xSend_ID_List = 4
 wpNew_ID = 5
 wpRemove_ID = 6
 wpStatus = 7
 wanEcho = 8
 wpPlug_Method = 9
End Enum

Public ioTmpRecieve As String
Attribute ioTmpRecieve.VB_VarDescription = "Contains the cached output value from the ""Recieve"" function"

Public Sub xGetOCXConfigs()
Attribute xGetOCXConfigs.VB_Description = "Retrieves the variable values from the OCX"
ioSource = IO.ioSource
ioPleaseLogs = IO.ioPleaseLogs
ioCopyProtectionWarning = IO.ioCopyProtectionWarning
ioRecieveFor = IO.ioRecieveFor
ioTmpRecieve = IO.ioTmpRecieve
End Sub

Public Sub xSetOCXConfigs()
Attribute xSetOCXConfigs.VB_Description = "Stores the variable values to the OCX"
IO.ioSource = ioSource
IO.ioPleaseLogs = ioPleaseLogs
IO.ioCopyProtectionWarning = ioCopyProtectionWarning
IO.ioRecieveFor = ioRecieveFor
IO.ioTmpRecieve = ioTmpRecieve
End Sub

Public Function ioRecieve(xMyAppName As String, xMyAppType As myAppType) As String
Attribute ioRecieve.VB_Description = "Recieves an ICI command"
ioRecieve = IO.ioRecieve(xMyAppName, xMyAppType)
End Function

Public Sub ioSend(SourceComputer As String, ToComputer As String, Text As String)
Attribute ioSend.VB_Description = "Sends an ICI command"
IO.ioSend SourceComputer, ToComputer, Text
End Sub

Public Sub ioControls(xMyAppName As String, SourceComputer As String, xCommand As myCommand, Parameter As String)
Attribute ioControls.VB_Description = "Sends a control command to ICI"
IO.ioControls xMyAppName, SourceComputer, xCommand, Parameter
End Sub

Public Sub ioRespond(Text As String)
Attribute ioRespond.VB_Description = "Responds the last ICI command recieved with a new ICI command"
IO.ioRespond Text
End Sub

Public Sub ioEnableLogging(xBackups As Boolean)
Attribute ioEnableLogging.VB_Description = "Enables debug info logging"
IO.ioEnableLogging xBackups
End Sub


